Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 11 Feb 2004 10:21:14 +0100
From:      Johan Pettersson <manlix@demonized.net>
To:        "Robert Andrews" <randrews@relinetworks.com>
Cc:        freebsd-emulation@freebsd.org
Subject:   Re: Problem installing linux_base-8
Message-ID:  <20040211102114.20377794.manlix@demonized.net>
In-Reply-To: <!~!UENERkVCMDkAAQACAAAAAAAAAAAAAAAAABgAAAAAAAAA89mYY/E63U20FVD1Fk79bsKAAAAQAAAAKuNH0m5QdUiWPIaYBvi4uwEAAAAA@relinetworks.com>
References:  <20040211024232.07656f20.manlix@demonized.net> <!~!UENERkVCMDkAAQACAAAAAAAAAAAAAAAAABgAAAAAAAAA89mYY/E63U20FVD1Fk79bsKAAAAQAAAAKuNH0m5QdUiWPIaYBvi4uwEAAAAA@relinetworks.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
Nope, I don't think so. The problem was that I have my ports mounted over NFS. Copy the linux_base port to local storage solved the problem. Thank you anyway. :)

On Tue, 10 Feb 2004 21:45:22 -0500
"Robert Andrews" <randrews@relinetworks.com> wrote:

> You don't have sysv emulation running do you?  If so you need to disable
> it with kldunload and then attempt to reinstall the linux base.  These
> two do not work together on a freebsd system.  This has been an ongoing
> issue that is known but for some reason the ports while installing do
> not do any form of checking to insure that sysv is disabled.
> 
> This is the only time I've seen an error installing the emulator.  
> 
> Robert Andrews
> randrews@relinetworks.com
> (727) 643-8481
> 
> 
> -----Original Message-----
> From: owner-freebsd-emulation@freebsd.org
> [mailto:owner-freebsd-emulation@freebsd.org] On Behalf Of Johan
> Pettersson
> Sent: Tuesday, February 10, 2004 8:43 PM
> To: freebsd-emulation@freebsd.org
> Subject: Problem installing linux_base-8
> 
> Im trying to install linux_base-8 but it fails with this:
> 
> ===>   linux_base-8-8.0_4 depends on executable: rpm - found
> kern.fallback_elf_brand: 3 -> 3
> glibc-common-2.3.2-4.80.8.i386.rpm
> cannot get exclusive lock on database
> error: cannot open
> /usr/ports/emulators/linux_base-8/work/linux_base-8-8.0/var/lib/rpm/pack
> ages.rpm
> *** Error code 1
> 
> Stop in /usr/ports/emulators/linux_base-8.
> beard /usr/ports/emulators/linux_base-8# 
> 
> Any solution?
> _______________________________________________
> freebsd-emulation@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-emulation
> To unsubscribe, send any mail to
> "freebsd-emulation-unsubscribe@freebsd.org"
> 
> 



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20040211102114.20377794.manlix>